
cd "C:\Users\lieke\Desktop\Proefschrift\Gridded sampling\Data\DHS data"
 
use "Original data\NM_2013_DHS_06072017_stata\nmir61dt\NMIR61FL.DTA", clear

// mom file to match to individual recode
keep v001 v002 v003 v313 

rename v001 cluster_nr
rename v002 hh_nr
rename v003 pid

gen contraception = 0 if v313 < 3 
replace contraception = 1 if v313 == 3
label define contraception 0 "no/traditional" ///
					1 "modern"
label values contraception contraception

drop v313
save "Generated data\DHS_mom2_recode.dta", replace

use "Original data\NM_2013_DHS_06072017_stata\nmir61dt\NMIR61FL.DTA", clear
keep v001 v002 bidx_?? b4_?? b8_?? b16_?? hidx_? h7_? //h3_? h5_? dpt1 dpt2
// bidx is birth history index, bord is birth order number, so reverse of birth history index

rename v001 cluster_nr
rename v002 hh_nr

sum bidx_?? // variable outcome equal to variable name. 

foreach var in b4 b8 b16 bidx {
	forvalues i = 1/9 {
		rename `var'_0`i' `var'_`i'
	}
}

forvalues i = 1/20 {
	gen temp_dpt3_`i' = . 
	forvalues j = 1/6 {
		replace temp_dpt3_`i' = h7_`j' if hidx_`j' == `i'
	}
}		

forvalues k = 1/23 {
	gen dpt3_`k' = . 
	forvalues i = 1/20 {
		replace dpt3_`k' = temp_dpt3_`i' if b16_`i' == `k' // those children not linked to hh registry are dropped.
	}
}		


drop b4_* b8_* b16_* bidx_* hidx_* h7_* temp_dpt3_*

bys cluster_nr hh_nr: gen mom_id = _n
gen temp_hhid = 1000*cluster_nr+10*hh_nr+mom_id

reshape long dpt3_, i(temp_hhid) j(pid) 

rename dpt3_ dpt3
drop if dpt3 == . 

*bys cluster_nr hh_nr pid: gen test = _n
*tab test  // 1 for all observations, so only one pid per hh 
drop mom_id temp_hhid

replace dpt3 = 1 if dpt3 > 0 & dpt3 < 8 
replace dpt3 = . if dpt3 == 8 
label define noyes 0 "no" 1 "yes"
label values dpt3 noyes

save "Generated data\DHS_child_recode.dta", replace

